<?
/*
 (c) 2003 Tassilo Erlewein <tassilo.erlewein@erfrakon.de>
 (c) 2003 Martin Konold <martin.konold@erfrakon.de>
 This program is Free Software under the GNU General Public License (>=v2).
 Read the file COPYING that comes with this packages for details.
*/

function email_address_ok ($a)
{
   //return TRUE;
   return(preg_match("/^[-_.[:alnum:]]+@((([[:alnum:]]|
      [[:alnum:]][[:alnum:]-]*[[:alnum:]])\.)+(ad|ae|aero|
      af|ag|ai|al|am|an|ao|aq|ar|arpa|as|at|au|aw|az|ba|bb|
      bd|be|bf|bg|bh|bi|biz|bj|bm|bn|bo|br|bs|bt|bv|bw|by|
      bz|ca|cc|cd|cf|cg|ch|ci|ck|cl|cm|cn|co|com|coop|cr|
      cs|cu|cv|cx|cy|cz|de|dj|dk|dm|do|dz|ec|edu|ee|eg|eh|
      er|es|et|eu|fi|fj|fk|fm|fo|fr|ga|gb|gd|ge|gf|gh|gi|
      gl|gm|gn|gov|gp|gq|gr|gs|gt|gu|gw|gy|hk|hm|hn|hr|ht|
      hu|id|ie|il|in|info|int|io|iq|ir|is|it|jm|jo|jp|ke|
      kg|kh|ki|km|kn|kp|kr|kw|ky|kz|la|lb|lc|li|lk|lr|ls|
      lt|lu|lv|ly|ma|mc|md|mg|mh|mil|mk|ml|mm|mn|mo|mp|mq|
      mr|ms|mt|mu|museum|mv|mw|mx|my|mz|na|name|nc|ne|net|
      nf|ng|ni|nl|no|np|nr|nt|nu|nz|om|org|pa|pe|pf|pg|ph|
      pk|pl|pm|pn|pr|pro|ps|pt|pw|py|qa|re|ro|ru|rw|sa|sb|
      sc|sd|se|sg|sh|si|sj|sk|sl|sm|sn|so|sr|st|su|sv|sy|
      sz|tc|td|tf|tg|th|tj|tk|tm|tn|to|tp|tr|tt|tv|tw|tz|
      ua|ug|uk|um|us|uy|uz|va|vc|ve|vg|vi|vn|vu|wf|ws|ye|
      yt|yu|za|zm|zw)|(([0-9][0-9]?|[0-1][0-9][0-9]|
      [2][0-4][0-9]|[2][5][0-5])\.){3}([0-9][0-9]?|
      [0-1][0-9][0-9]|[2][0-4][0-9]|[2][5][0-5]))$/i",$a));
}

function ipaddress_ok ($a)
{
   return preg_match("/(\[0-9]{1,3})\.(\[0-9]{1,3})\.(\[0-9]{1,3})\.(\[0-9]{1,3})/", $a);
}

function domain_ok ($a)
{
   return preg_match("/[a-zA-Z]([a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?\.[a-zA-Z]([a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(\.[a-zA-Z]([a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)?/", $a);
}

function uid_ok ($a)
{
   return preg_match("/^[a-z0-9]+$/", $a);
}

?>
